Subject: Re: bug#19858: 25.0.50; Docstring bug in make-temp-name

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Feb 2015 23:07:57 -0500

> The docstring for `make-temp-file' says (among other things):
> "For that reason, you should
> probably use `make-temp-file' instead, except in three circumstances:

> * If you are creating the file in the user's home directory.
> * If you are creating a directory rather than an ordinary file."

> However, `make-temp-file' actually can create directories, so the second
> point in the above quote is unnecessary and misleading.

make-temp-file can also create a temp file in the user's home directory
(so your criticism also applies to the first point).

The issue is simply that in cases other than the above two, using
make-temp-name is *dangerous*.

        Stefan